Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161836 - xemacs needs libdb.so.3 which is missing from FC4
Summary: xemacs needs libdb.so.3 which is missing from FC4
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: xemacs
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ville Skyttä
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-27 17:08 UTC by Joshua Rosen
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-28 13:01:46 UTC


Attachments (Terms of Use)

Description Joshua Rosen 2005-06-27 17:08:19 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
I installed Xemacs with yum, it won't run because you left out libdb.so.3.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. install from yum (it's missing on the CDROMs)
2. xemacs
3.
  

Actual Results:  xemacs
xemacs: error while loading shared libraries: libdb.so.3: cannot open shared object file: No such file or directory

Additional info:

Comment 1 Jens Petersen 2005-06-28 00:11:07 UTC
XEmacs was moved to Fedora Extras for FC4.

Which version of xemacs do you have installed?

xemacs-21.4.17-3 from extras runs fine for me.

You must be running a rather old xemacs build anyway, since db
support was disabled from our xemacs package a long while ago.

Comment 2 Joshua Rosen 2005-06-28 00:59:29 UTC
Not your fault. The problem is that FC4 put /usr/local/bin into the default path
and the /usr/local/bin had a bunch of old versions of Xemacs in it. When I
changed the path it finds the current version of Xemacs which works.


Comment 3 Ville Skyttä 2005-06-28 13:01:46 UTC
Thanks for the quick followup; setting resolved as NOTABUG because there's 
nothing wrong in the XEmacs package in this respect. 


Note You need to log in before you can comment on or make changes to this bug.